IRremoteESP8266: GreeProtocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
GreeProtocol Union Reference

Native representation of a Gree A/C message. More...

`#include <ir_Gree.h>`

## Public Attributes

uint8_t | remote_state [kGreeStateLength]
| The state in native IR code form. More...
struct {
uint8_t Mode:3
uint8_t Power:1
uint8_t Fan:2
uint8_t SwingAuto:1
uint8_t Sleep:1
uint8_t Temp:4
uint8_t TimerHalfHr:1
uint8_t TimerTensHr:2
uint8_t TimerEnabled:1
uint8_t TimerHours:4
uint8_t Turbo:1
uint8_t Light:1
uint8_t ModelA:1
uint8_t Xfan:1
uint8_t __pad0__:2
uint8_t TempExtraDegreeF:1
uint8_t UseFahrenheit:1
uint8_t unknown1:4
uint8_t Swing:4
uint8_t __pad1__:0
uint8_t DisplayTemp:2
uint8_t IFeel:1
uint8_t unknown2:3
uint8_t WiFi:1
uint8_t __pad2__:0
uint8_t __pad3__:8
uint8_t __pad4__:4
uint8_t Sum:4
}; |

## Detailed Description

Native representation of a Gree A/C message.

## Member Data Documentation

## ◆ @37

struct { ... }

## ◆ __pad0__

uint8_t GreeProtocol::__pad0__

## ◆ __pad1__

uint8_t GreeProtocol::__pad1__

## ◆ __pad2__

uint8_t GreeProtocol::__pad2__

## ◆ __pad3__

uint8_t GreeProtocol::__pad3__

## ◆ __pad4__

uint8_t GreeProtocol::__pad4__

## ◆ DisplayTemp

uint8_t GreeProtocol::DisplayTemp

## ◆ Fan

uint8_t GreeProtocol::Fan

## ◆ IFeel

uint8_t GreeProtocol::IFeel

## ◆ Light

uint8_t GreeProtocol::Light

## ◆ Mode

uint8_t GreeProtocol::Mode

## ◆ ModelA

uint8_t GreeProtocol::ModelA

## ◆ Power

uint8_t GreeProtocol::Power

## ◆ remote_state

uint8_t GreeProtocol::remote_state[kGreeStateLength]

The state in native IR code form.

## ◆ Sleep

uint8_t GreeProtocol::Sleep

## ◆ Sum

uint8_t GreeProtocol::Sum

## ◆ Swing

uint8_t GreeProtocol::Swing

## ◆ SwingAuto

uint8_t GreeProtocol::SwingAuto

## ◆ Temp

uint8_t GreeProtocol::Temp

## ◆ TempExtraDegreeF

uint8_t GreeProtocol::TempExtraDegreeF

## ◆ TimerEnabled

uint8_t GreeProtocol::TimerEnabled

## ◆ TimerHalfHr

uint8_t GreeProtocol::TimerHalfHr

## ◆ TimerHours

uint8_t GreeProtocol::TimerHours

## ◆ TimerTensHr

uint8_t GreeProtocol::TimerTensHr

## ◆ Turbo

uint8_t GreeProtocol::Turbo

## ◆ unknown1

uint8_t GreeProtocol::unknown1

## ◆ unknown2

uint8_t GreeProtocol::unknown2

## ◆ UseFahrenheit

uint8_t GreeProtocol::UseFahrenheit

## ◆ WiFi

uint8_t GreeProtocol::WiFi

## ◆ Xfan

uint8_t GreeProtocol::Xfan

The documentation for this union was generated from the following file:

- src/ir_Gree.h